import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { css } from "@emotion/react";
import { Colors } from "./constants.js";
const ItemStyles = css({
    border: "1px solid #c5c5c5",
});
const ItemTitleStyles = css({
    border: "1px solid #c5c5c5",
    backgroundColor: "#dedede",
    padding: "2px 5px",
});
const ItemContentStyles = css({
    padding: "1rem",
});
export const Item = ({ id, title, hide, children, }) => {
    if (hide) {
        return _jsx("div", {});
    }
    return (_jsxs("div", { css: ItemStyles, id: id, children: [_jsx("div", { css: ItemTitleStyles, children: title }), _jsx("div", { css: ItemContentStyles, children: children })] }));
};
export const Literal = ({ children }) => (_jsx("div", { css: { color: "#5da713", display: "inline" }, children: children }));
export const KeyValueSection = ({ children, }) => {
    return (_jsx("ul", { css: {
            margin: 0,
            padding: "0 0 0 16px",
            borderLeft: `1px dashed ${Colors.indentationGuide}`,
            overflow: "auto",
        }, children: children }));
};
//# sourceMappingURL=common.js.map